#pragma once
#include "dll_macro.h"
#include <string>
struct innerGroup;
class DLL_API Group {
public:
    Group(std::shared_ptr<innerGroup> inner):inner(inner){}
    virtual ~Group() {
    }
    bool isNull() const;
    virtual std::string GetReport();
    virtual void Close();
protected:
    std::shared_ptr<innerGroup> inner;
};
